#!/bin/bash
tests=100
python opencl-generator.py 100
formats=(nt-opencl phpass-opencl cryptmd5-opencl ssha-opencl raw-sha1-opencl raw-md5-opencl)
for format in ${formats[*]}
do
  echo -n "Testing $format... "
  ./john -wordlist=opencl-wordlist opencl-crack -format=$format >/dev/null 2>opencl-info
  cracked=`cat opencl-info | grep guesses | cut -f 2 -d ':' | cut -f 2 -d ' '`
  echo "Cracked $cracked:$tests"
done
rm opencl-wordlist
rm opencl-crack
rm opencl-info
